import { BasePlugin, ChangeEventContext, getSchemaTpl, PluginEvent, RendererEditor, RendererPluginEvent } from 'amis-editor';
import { registerEditorPlugin } from 'amis-editor';
import { action } from 'mobx';




export class AntdTreeRendererPlugin extends BasePlugin {
    rendererName = 'antd-tree';

    
 
    
    afterUpdate = function (event: PluginEvent<ChangeEventContext>) {
       
        
            
    }
    
    // 暂时只支持这个，配置后会开启代码编辑器
    $schema = '/schemas/UnkownSchema.json';

    // 用来配置名称和描述
    name = 'antd-tree';
    description = '示例';

    // tag，决定会在哪个 tab 下面显示的
    tags = ['展示'];

    // 图标
    icon = 'fa fa-tree';

    // 用来生成预览图的
    previewSchema = {
        type: 'antd-tree',
        target: 'demo'
    };

    // 拖入组件里面时的初始数据
    scaffold = {
        type: 'antd-tree',
        target: '233',
        onEvent: {
            "ddd": {
                "actions": [
                    {
                        "actionType": 'toast',
                        "args": {
                            "msg": '${event.data'
                        }
                    }
                ]
            }
        }
    };

    // 右侧面板相关
    panelTitle = '配置面板';
    panelControls = [
        {
            type: 'tabs',
            tabsMode: 'tiled',
            className: 'm-t-n-xs',
            contentClassName: 'no-border p-l-none p-r-none',
            tabs: [
                {
                    title: '常规',
                    controls: [
                        getSchemaTpl('page', {
                            name: 'title',
                            type: 'text',
                        }),
                        {
                            name: 'target',
                            label: 'Target',
                            type: 'text',
                            enableDataBinding: true,
                        },
                        {
                            type: 'collapse',
                            title: '数据',

                            controls: [
                                {
                                    type: 'Editor',
                                    name: 'title1',
                                    label: '卡片title',
                                    value: {}

                                }
                            ],
                        }

                    ]
                },

                {
                    title: '外观',
                    controls: []
                },
                {
                    title: '事件',
                    controls: []
                }
            ]
        }
    ];
}
registerEditorPlugin(AntdTreeRendererPlugin);